////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2012 Kentaro Sekimoto  All rights reserved.
////////////////////////////////////////////////////////////////////////////

/*
 * usb_debug_printf.h
 *
 *  Created on: 2012/01/08
 *      Author: Kentaro Sekimoto
 */

#ifndef USB_DEBUG_PRINTF_H_
#define USB_DEBUG_PRINTF_H_

void usb_debug_printf_init();
int usb_debug_printf(char* format, ...);
void usb_memory_dump(unsigned long addr, int len);

#ifdef USB_DEBUG
#define USB_DEBUG_INIT              usb_debug_printf_init
#define USB_DEBUG1(p0)              usb_debug_printf(p0)
#define USB_DEBUG2(p0, p1)          usb_debug_printf(p0, p1)
#define USB_DEBUG3(p0, p1, p2)      usb_debug_printf(p0, p1, p2)
#define USB_DEBUG4(p0, p1, p2, p3)  usb_debug_printf(p0, p1, p2, p3)
#else
#define USB_DEBUG_INIT()
#define USB_DEBUG1(p0)
#define USB_DEBUG2(p0, p1)
#define USB_DEBUG3(p0, p1, p2)
#define USB_DEBUG4(p0, p1, p2, p3)
#endif

#endif /* USB_DEBUG_PRINTF_H_ */
